;(function($) {
	if($("html").attr("lang")=="sv-SE")
	{
		$.extend($.fn.validate.messages, {
			there_are_errors	: "Det finns fel!",
			required			: "Detta flt r obligatoriskt.",
			email				: "Fyll i en korrekt e-postadress.",
			url					: "Fyll i en korrekt URL.",
			creditcard			: "Fyll i ett korrekt kreditkortsnummer.",
			date				: "Fyll i ett korrekt datum.",
			datetime			: "Fyll i en korrekt DateTime.",
			'datetime-local'	: "Fyll i en korrekt lokal DateTime.",
			time				: "Fyll i ett korrekt klockslag",
			alphabetic			: "Fyll endast i bokstver.",
			alphanumeric		: "Fyll endast i bokstver, siffror eller understreck.",
			color				: "Fyll i en frg. (namngiven, hexadec eller rgb)",
			month				: "Fyll i en mnad och ett r. (t.e.x. 1974-03)",
			week				: "Fyll i en vecka och ett r. (t.e.x. 1974-W43)",
			number				: "Fyll i ett korrekt tal.(t.e.x. 12,-12.5,-1.3e-2)",
			integer				: "Fyll i en siffra utan decimaler.",
			zipcode				: "Fyll i ett korrekt postnummer.",
			minlength			: "Fyll i minst {0} tecken.",
			maxlength			: "Fyll i {0} eller frre tecken.",
			min					: "Fyll i ett vrde som r strre n eller lika med {0}.",
			max					: "Fyll i ett vrde som r mindre n eller lika med {0}.",
			mustmatch			: "Fyll i samma vrde en gng till.",
			captcha				: "Texten stmmer inte med bilden. Frsk igen.",
			personnummer		: "Fyll i ett korrekt personnummer. (mmdd-aaaa)",
			organisationsnummer	: "Fyll i ett korrekt organisationsnummer. (xxyyzz-aaaa)",
			tel					: "Fyll i ett korrekt telefonnummer.",
			range				: "Fyll i ett vrde mellan {0} och {1} i steg av {2}.",
			ipv4				: "Fyll i ett IP-nummer (version 4).",
			ipv6				: "Fyll i ett IP-nummer (version 6)."
		});
	}
})(jQuery);
